## org.codehaus.groovy.grails.orm.hibernate.cfg
Class ColumnConfig

    java.lang.Object
      org.codehaus.groovy.grails.orm.hibernate.cfg.ColumnConfig

All Implemented Interfaces:
  groovy.lang.GroovyObject

    public class ColumnConfig

extends Object
implements groovy.lang.GroovyObject

Constructor Summary
`ColumnConfig()`

Method Summary
`protected groovy.lang.MetaClass` `$getStaticMetaClass()`
`String` `getEnumType()`
`String` `getIndex()`
`int` `getLength()`
`groovy.lang.MetaClass` `getMetaClass()`
`String` `getName()`
`int` `getPrecision()`
`Object` `getProperty(String property)`
`int` `getScale()`
`String` `getSqlType()`
`boolean` `getUnique()`
`Object` `invokeMethod(String method, Object arguments)`
`boolean` `isUnique()`
`void` `setEnumType(String value)`
`void` `setIndex(String value)`
`void` `setLength(int value)`
`void` `setMetaClass(groovy.lang.MetaClass mc)`
`void` `setName(String value)`
`void` `setPrecision(int value)`
`void` `setProperty(String property, Object value)`
`void` `setScale(int value)`
`void` `setSqlType(String value)`
`void` `setUnique(boolean value)`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ColumnConfig

    public ColumnConfig()

Method Detail

### getName

    public String getName()

### setName

    public void setName(String value)

### getSqlType

    public String getSqlType()

### setSqlType

    public void setSqlType(String value)

### getEnumType

    public String getEnumType()

### setEnumType

    public void setEnumType(String value)

### getIndex

    public String getIndex()

### setIndex

    public void setIndex(String value)

### getUnique

    public boolean getUnique()

### isUnique

    public boolean isUnique()

### setUnique

    public void setUnique(boolean value)

### getLength

    public int getLength()

### setLength

    public void setLength(int value)

### getPrecision

    public int getPrecision()

### setPrecision

    public void setPrecision(int value)

### getScale

    public int getScale()

### setScale

    public void setScale(int value)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Copyright (c) 2005-2009 The Grails project